# QuickShop Price List

Minecraft shop information can be read from this endpoint here:
http://leigh-co.com/minecraft/neweden/link/v1/shops/read

This spits out "streaming JSON" or newline delimited JSON and can be parsed out into something interesting and useful to display in a pretty fashion on some page. Like a sortable/filterable table for instance.

# DYNMAP Pin Dropping

For the coordinates to drop a pin. We can construct a URL that will take a user to the dynmap and will center on the location on the map to make location easier. It is possible to create a URL which references a location on Dynmap, causing a pin to be dropped and associated label added. Using New Eden as a reference, an example URL is:

http://leigh-co.com/minecraft/neweden/dynmap/?worldname=world&mapname=flat&zoom=6&x=-6981&y=64&z=3226&desc=Desert%20Monument

-Zoom level 6 is appropriate.
-Worldname needs to come from the row data as is.
-x,y,z come from the row data as is.
-description can be something like "Shop: $item_friendly", this should be url encoded to replace spaces and such with their equivalent character encoding values such as "%20"


# Deployment

Hosting is out on web0.leigh-co.com
We deploy to /var/www/lc/html/minecraft/shoplist
Can view site internally at web0.leigh-co.com/minecraft/shoplist
Can view publicly at leigh-co.com/minecraft/shoplist

## Fresh deploy
ssh -t web0.leigh-co.com "sudo git clone --depth 1 https://gitlab.leigh-co.com/leighco/minecraft-sites/quickshop-price-list.git /var/www/lc/html/minecraft/shoplist"

## Update
ssh -t web0.leigh-co.com "sudo git -C /var/www/lc/html/minecraft/shoplist pull"